=== modified file 'bzrlib/bundle/__init__.py'
--- bzrlib/bundle/__init__.py	2006-06-21 13:37:30 +0000
+++ bzrlib/bundle/__init__.py	2006-07-07 16:41:38 +0000
@@ -41,4 +41,13 @@
         return read_bundle(f)
     except (errors.TransportError, errors.PathError), e:
         raise errors.NotABundle(str(e))
+    except (IOError,), e:
+        # jam 20060707
+        # Abstraction leakage, SFTPTransport.get('directory')
+        # doesn't always fail at get() time. Sometimes it fails
+        # during read. And that raises a generic IOError with
+        # just the string 'Failure'
+        # StubSFTPServer does fail during get() (because of prefetch) 
+        # so it has an opportunity to translate the error.
+        raise errors.NotABundle(str(e))
 

